slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcInitialize

Initializes the SLEPc library. SlepcInitialize() calls PetscInitialize() if that has not been called yet, so this routine should always be called near the beginning of your program.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcInitialize(int *argc,char ***args,const char file[],const char help[])

Collective on MPI_COMM_WORLD or PETSC_COMM_WORLD if it has been set

### Input Parameters

| argc | - count of number of command line arguments
| args | - the command line arguments
| file | - [optional] PETSc database file, defaults to ~username/.petscrc (use NULL for default)
| help | - [optional] Help message to print, use NULL for no message

### Fortran Notes

Fortran syntax is very similar to that of PetscInitialize()

### See Also

SlepcFinalize(), PetscInitialize(), SlepcInitializeFortran()

### Level

beginner

### Location

src/sys/slepcinit.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages